Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(26)

Issue 2753043002: Create new versions of SerializeXXX() functions that uses pre-allocated buffer in SpdyFrameBuilder. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 1 week ago by yasong
Modified:
4 months, 1 week ago
Reviewers:
Bence
CC:
chromium-reviews, cbentzel+watch_chromium.org, bnc+watch_chromium.org, net-reviews_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Create new versions of SerializeXXX() functions that uses pre-allocated buffer in SpdyFrameBuilder. This CL lands server change 147618543 by yasong. BUG=488484 Review-Url: https://codereview.chromium.org/2753043002 Cr-Commit-Position: refs/heads/master@{#457852} Committed: https://chromium.googlesource.com/chromium/src/+/5cb5d523c83566fb3508ed711cbc7d8f68811fdc

Patch Set 1 #

Patch Set 2 : htonl change #

Total comments: 9

Patch Set 3 : address comments. #

Patch Set 4 : rebase #

Patch Set 5 : git cl format #

Unified diffs Side-by-side diffs Delta from patch set Stats (+987 lines, -149 lines) Patch
M net/spdy/spdy_frame_builder.h View 1 2 1 chunk +8 lines, -0 lines 0 comments Download
M net/spdy/spdy_frame_builder.cc View 1 2 chunks +56 lines, -1 line 0 comments Download
M net/spdy/spdy_framer.h View 5 chunks +104 lines, -1 line 0 comments Download
M net/spdy/spdy_framer.cc View 1 2 3 14 chunks +517 lines, -104 lines 0 comments Download
M net/spdy/spdy_framer_test.cc View 1 2 3 4 68 chunks +302 lines, -43 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 37 (31 generated)
yasong
On 2017/03/16 15:57:06, yasong wrote: > mailto:yasong@chromium.org changed reviewers: > + mailto:bnc@chromium.org Ready for review. ...
4 months, 1 week ago (2017-03-16 15:57:23 UTC) #12
Bence
Thank you. https://codereview.chromium.org/2753043002/diff/20001/net/spdy/spdy_frame_builder.h File net/spdy/spdy_frame_builder.h (right): https://codereview.chromium.org/2753043002/diff/20001/net/spdy/spdy_frame_builder.h#newcode143 net/spdy/spdy_frame_builder.h:143: // --gfe2_reloadable_flag_remove_rewritelength deprecates. s/--gfe2_reloadable_flag_write_queue_zero_copy_buffer/FLAGS_chromium_http2_flag_remove_rewritelength/ https://codereview.chromium.org/2753043002/diff/20001/net/spdy/spdy_framer.cc File net/spdy/spdy_framer.cc ...
4 months, 1 week ago (2017-03-16 18:12:54 UTC) #13
yasong
Thanks for the review! PTAL. https://codereview.chromium.org/2753043002/diff/20001/net/spdy/spdy_frame_builder.h File net/spdy/spdy_frame_builder.h (right): https://codereview.chromium.org/2753043002/diff/20001/net/spdy/spdy_frame_builder.h#newcode143 net/spdy/spdy_frame_builder.h:143: // --gfe2_reloadable_flag_remove_rewritelength deprecates. On ...
4 months, 1 week ago (2017-03-16 22:28:52 UTC) #16
Bence
LGTM. Unfortunately https://crrev.com/2750853008 landed in the meanwhile, there's two merge conflicts in spdy_framer_test.cc that you ...
4 months, 1 week ago (2017-03-16 22:40:58 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2753043002/80001
4 months, 1 week ago (2017-03-17 19:15:00 UTC) #34
commit-bot: I haz the power
4 months, 1 week ago (2017-03-17 19:32:15 UTC) #37
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/5cb5d523c83566fb3508ed711cbc...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973